function changeProvince(list) {
  if (list.selectedIndex<=0) {
	provincesel.options[0].selected=true;
	var len = citysel.options.length;
	for (var i=len-1;i>0;i--){
		citysel.options[i]=null;
	}
  }else {
	var boards = catArr1[list.selectedIndex-1].getOptions();
	var len = citysel.options.length;
	for (var i=len-1;i>0;i--){
		citysel.options[i]=null;
	}
	for (var i=0;i<boards.length;i++) {
		citysel.options[i+1]=boards[i];
	}
	
	var tmpPro = list.options[list.selectedIndex].value;
	citysel.disabled = false;
  }
}

function changeRegion(province,city) {
    for (var i=0;i<catArr1.length;i++) {
    provincesel.options[i+1]=new Option(catArr1[i].title,catArr1[i].id);
    //设置省选择框的选择值
    if(provincesel.options[i+1].innerText == province){
       provincesel.options[i+1].selected=true;
    }
  }
    changeProvince(provincesel);
  var len = citysel.options.length;
  for (var i=0;i<len;i++) {
    //设置城市选择框的选择值
    if(citysel.options[i].innerText == city) {
      citysel.options[i].selected=true;
    }
  }
}
  
function Province(id,title){
	this.id=id;
	this.title=title;
	this.boardlist=new Array();
	this.addBoard=addBoard;
	this.getOptions=getOptions;
}

function addBoard(board){
	this.boardlist=this.boardlist.concat(board);
}

function Board(catid,id,title,total){this.catid=catid;
	this.id=id;
	this.title=title;
	this.getOption=getOption;
}

function getOptions(){
	var tmp=new Array();
	for(var i=0; i<this.boardlist.length;	i++) {
		var b=this.boardlist[i];
		tmp[i]=b.getOption();
	}
	return tmp;
}

function getOption(){
	return new Option(this.title,this.id);
}

var catArr1=new Array();
var cur1;
cur1=new Province('安徽省','安徽'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(406,'池州市','池州市'));
cur1.addBoard(new Board(10,'安庆市','安庆市'));
cur1.addBoard(new Board(11,'蚌埠市','蚌埠市'));
cur1.addBoard(new Board(12,'亳州市','亳州市'));
cur1.addBoard(new Board(13,'巢湖市','巢湖市'));
cur1.addBoard(new Board(14,'滁州市','滁州市'));
cur1.addBoard(new Board(15,'阜阳市','阜阳市'));
cur1.addBoard(new Board(16,'合肥市','合肥市'));
cur1.addBoard(new Board(17,'淮北市','淮北市'));
cur1.addBoard(new Board(18,'淮南市','淮南市'));
cur1.addBoard(new Board(19,'黄山市','黄山市'));
cur1.addBoard(new Board(20,'六安市','六安市'));
cur1.addBoard(new Board(21,'马鞍山市','马鞍山市'));
cur1.addBoard(new Board(22,'宿州市','宿州市'));
cur1.addBoard(new Board(24,'铜陵市','铜陵市'));
cur1.addBoard(new Board(25,'芜湖市','芜湖市'));
cur1.addBoard(new Board(27,'宣城市','宣城市'));
cur1=new Province('北京','北京'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(29,'昌平区','昌平区'));
cur1.addBoard(new Board(30,'朝阳区','朝阳区'));
cur1.addBoard(new Board(31,'崇文区','崇文区'));
cur1.addBoard(new Board(32,'大兴区','大兴区'));
cur1.addBoard(new Board(33,'东城区','东城区'));
cur1.addBoard(new Board(34,'房山区','房山区'));
cur1.addBoard(new Board(35,'丰台区','丰台区'));
cur1.addBoard(new Board(36,'海淀区','海淀区'));
cur1.addBoard(new Board(37,'怀柔区','怀柔区'));
cur1.addBoard(new Board(38,'门头沟区','门头沟区'));
cur1.addBoard(new Board(39,'密云县','密云县'));
cur1.addBoard(new Board(40,'平谷区','平谷区'));
cur1.addBoard(new Board(41,'石景山区','石景山区'));
cur1.addBoard(new Board(42,'顺义区','顺义区'));
cur1.addBoard(new Board(43,'通州区','通州区'));
cur1.addBoard(new Board(44,'西城区','西城区'));
cur1.addBoard(new Board(45,'宣武区','宣武区'));
cur1.addBoard(new Board(46,'延庆县','延庆县'));
cur1=new Province('福建省','福建'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(48,'福州市','福州市'));
cur1.addBoard(new Board(49,'龙岩市','龙岩市'));
cur1.addBoard(new Board(50,'南平市','南平市'));
cur1.addBoard(new Board(51,'宁德市','宁德市'));
cur1.addBoard(new Board(52,'莆田市','莆田市'));
cur1.addBoard(new Board(53,'泉州市','泉州市'));
cur1.addBoard(new Board(54,'三明市','三明市'));
cur1.addBoard(new Board(57,'厦门市','厦门市'));
cur1.addBoard(new Board(59,'漳州市','漳州市'));
cur1=new Province('甘肃省','甘肃'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(404,'甘南藏族自治州','甘南藏族自治州'));
cur1.addBoard(new Board(405,'临夏回族自治州','临夏回族自治州'));
cur1.addBoard(new Board(60,'白银市','白银市'));
cur1.addBoard(new Board(61,'定西市','定西市'));
cur1.addBoard(new Board(63,'嘉峪关市','嘉峪关市'));
cur1.addBoard(new Board(64,'金昌市','金昌市'));
cur1.addBoard(new Board(65,'酒泉市','酒泉市'));
cur1.addBoard(new Board(66,'兰州市','兰州市'));
cur1.addBoard(new Board(68,'陇南市','陇南市'));
cur1.addBoard(new Board(69,'平凉市','平凉市'));
cur1.addBoard(new Board(70,'庆阳市','庆阳市'));
cur1.addBoard(new Board(71,'天水市','天水市'));
cur1.addBoard(new Board(72,'武威市','武威市'));
cur1.addBoard(new Board(75,'张掖市','张掖市'));
cur1=new Province('广东省','广东'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(401,'揭阳市','揭阳市'));
cur1.addBoard(new Board(402,'珠海市','珠海市'));
cur1.addBoard(new Board(403,'云浮市','云浮市'));
cur1.addBoard(new Board(76,'潮州市','潮州市'));
cur1.addBoard(new Board(78,'东莞市','东莞市'));
cur1.addBoard(new Board(79,'佛山市','佛山市'));
cur1.addBoard(new Board(80,'广州市','广州市'));
cur1.addBoard(new Board(81,'河源市','河源市'));
cur1.addBoard(new Board(82,'惠州市','惠州市'));
cur1.addBoard(new Board(83,'江门市','江门市'));
cur1.addBoard(new Board(85,'茂名市','茂名市'));
cur1.addBoard(new Board(86,'梅州市','梅州市'));
cur1.addBoard(new Board(87,'清远市','清远市'));
cur1.addBoard(new Board(88,'汕头市','汕头市'));
cur1.addBoard(new Board(89,'汕尾市','汕尾市'));
cur1.addBoard(new Board(90,'韶关市','韶关市'));
cur1.addBoard(new Board(91,'深圳市','深圳市'));
cur1.addBoard(new Board(93,'阳江市','阳江市'));
cur1.addBoard(new Board(95,'湛江市','湛江市'));
cur1.addBoard(new Board(96,'肇庆市','肇庆市'));
cur1.addBoard(new Board(97,'中山市','中山市'));
cur1=new Province('广西省','广西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(100,'百色市','百色市'));
cur1.addBoard(new Board(101,'北海市','北海市'));
cur1.addBoard(new Board(102,'崇左市','崇左市'));
cur1.addBoard(new Board(103,'防城港市','防城港市'));
cur1.addBoard(new Board(104,'贵港市','贵港市'));
cur1.addBoard(new Board(105,'桂林市','桂林市'));
cur1.addBoard(new Board(107,'河池市','河池市'));
cur1.addBoard(new Board(108,'贺州市','贺州市'));
cur1.addBoard(new Board(109,'来宾市','来宾市'));
cur1.addBoard(new Board(110,'柳州市','柳州市'));
cur1.addBoard(new Board(111,'南宁市','南宁市'));
cur1.addBoard(new Board(113,'钦州市','钦州市'));
cur1.addBoard(new Board(114,'梧州市','梧州市'));
cur1.addBoard(new Board(115,'玉林市','玉林市'));
cur1=new Province('贵州省','贵州'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(398,'黔东南苗族侗族自治州','黔东南苗族侗族自治州'));
cur1.addBoard(new Board(399,'黔南布依族苗族自治州','黔南布依族苗族自治州'));
cur1.addBoard(new Board(400,'黔西南布依族苗族自治州','黔西南布依族苗族自治州'));
cur1.addBoard(new Board(116,'安顺市','安顺市'));
cur1.addBoard(new Board(117,'毕节地区','毕节地区'));
cur1.addBoard(new Board(120,'贵阳市','贵阳市'));
cur1.addBoard(new Board(122,'六盘水市','六盘水市'));
cur1.addBoard(new Board(123,'铜仁地区','铜仁地区'));
cur1.addBoard(new Board(125,'遵义市','遵义市')); 
cur1=new Province('海南省','海南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(389,'五指山市','五指山市'));
cur1.addBoard(new Board(390,'文昌市','文昌市'));
cur1.addBoard(new Board(392,'屯昌县市','屯昌县市'));
cur1.addBoard(new Board(393,'东方市','东方市'));
cur1.addBoard(new Board(394,'万宁市','万宁市'));
cur1.addBoard(new Board(395,'琼海市','琼海市'));
cur1.addBoard(new Board(396,'澄迈县','澄迈县'));
cur1.addBoard(new Board(397,'定安县','定安县'));
cur1.addBoard(new Board(126,'白沙黎族自治县','白沙黎族自治县'));
cur1.addBoard(new Board(127,'保亭黎族苗族自治县','保亭黎族苗族自治县'));
cur1.addBoard(new Board(128,'昌江黎族自治县','昌江黎族自治县'));
cur1.addBoard(new Board(130,'儋州市','儋州市'));
cur1.addBoard(new Board(133,'海口市','海口市'));
cur1.addBoard(new Board(134,'乐东黎族自治县','乐东黎族自治县'));
cur1.addBoard(new Board(135,'临高县','临高县'));
cur1.addBoard(new Board(136,'陵水黎族自治县','陵水黎族自治县'));
cur1.addBoard(new Board(138,'琼中黎族苗族自治县','琼中黎族苗族自治县'));
cur1.addBoard(new Board(139,'三亚市','三亚市'));
cur1=new Province('河北省','河北'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(145,'保定市','保定市'));
cur1.addBoard(new Board(147,'沧州市','沧州市'));
cur1.addBoard(new Board(148,'承德市','承德市'));
cur1.addBoard(new Board(150,'邯郸市','邯郸市'));
cur1.addBoard(new Board(151,'衡水市','衡水市'));
cur1.addBoard(new Board(152,'廊坊市','廊坊市'));
cur1.addBoard(new Board(154,'秦皇岛市','秦皇岛市'));
cur1.addBoard(new Board(157,'石家庄市','石家庄市'));
cur1.addBoard(new Board(158,'唐山市','唐山市'));
cur1.addBoard(new Board(160,'邢台市','邢台市'));
cur1.addBoard(new Board(161,'张家口市','张家口市'));
cur1=new Province('河南省','河南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(372,'安阳市','安阳市')); 
cur1.addBoard(new Board(387,'漯河市','漯河市'));
cur1.addBoard(new Board(388,'济源市','济源市'));
cur1.addBoard(new Board(163,'安阳市','安阳市'));
cur1.addBoard(new Board(164,'鹤壁市','鹤壁市'));
cur1.addBoard(new Board(166,'焦作市','焦作市'));
cur1.addBoard(new Board(167,'开封市','开封市'));
cur1.addBoard(new Board(169,'洛阳市','洛阳市'));
cur1.addBoard(new Board(170,'南阳市','南阳市'));
cur1.addBoard(new Board(171,'平顶山市','平顶山市'));
cur1.addBoard(new Board(172,'濮阳市','濮阳市'));
cur1.addBoard(new Board(173,'三门峡市','三门峡市'));
cur1.addBoard(new Board(174,'商丘市','商丘市'));
cur1.addBoard(new Board(175,'新乡市','新乡市'));
cur1.addBoard(new Board(176,'信阳市','信阳市'));
cur1.addBoard(new Board(177,'许昌市','许昌市'));
cur1.addBoard(new Board(179,'郑州市','郑州市'));
cur1.addBoard(new Board(180,'周口市','周口市'));
cur1.addBoard(new Board(181,'驻马店市','驻马店市'));
cur1=new Province('黑龙江省','黑龙江'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(386,'大兴安岭地区','大兴安岭地区'));
cur1.addBoard(new Board(184,'大庆市','大庆市'));
cur1.addBoard(new Board(186,'哈尔滨市','哈尔滨市'));
cur1.addBoard(new Board(187,'鹤岗市','鹤岗市'));
cur1.addBoard(new Board(188,'黑河市','黑河市'));
cur1.addBoard(new Board(189,'鸡西市','鸡西市'));
cur1.addBoard(new Board(190,'佳木斯市','佳木斯市'));
cur1.addBoard(new Board(191,'牡丹江市','牡丹江市'));
cur1.addBoard(new Board(192,'七台河市','七台河市'));
cur1.addBoard(new Board(193,'齐齐哈尔市','齐齐哈尔市'));
cur1.addBoard(new Board(194,'双鸭山市','双鸭山市'));
cur1.addBoard(new Board(196,'绥化市','绥化市'));
cur1.addBoard(new Board(199,'伊春市','伊春市'));
cur1=new Province('湖北省','湖北'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(383,'神农架林区市','神农架林区市'));
cur1.addBoard(new Board(384,'荆州市','荆州市'));
cur1.addBoard(new Board(385,'潜江市','潜江市'));
cur1.addBoard(new Board(203,'鄂州市','鄂州市'));
cur1.addBoard(new Board(205,'恩施土家族苗族自治州','恩施土家族苗族自治州'));
cur1.addBoard(new Board(207,'黄冈市','黄冈市'));
cur1.addBoard(new Board(208,'黄石市','黄石市'));
cur1.addBoard(new Board(210,'荆门市','荆门市'));
cur1.addBoard(new Board(219,'十堰市','十堰市'));
cur1.addBoard(new Board(221,'随州市','随州市'));
cur1.addBoard(new Board(222,'天门市','天门市'));
cur1.addBoard(new Board(223,'武汉市','武汉市'));
cur1.addBoard(new Board(225,'仙桃市','仙桃市'));
cur1.addBoard(new Board(227,'咸宁市','咸宁市'));
cur1.addBoard(new Board(228,'襄樊市','襄樊市'));
cur1.addBoard(new Board(229,'孝感市','孝感市'));
cur1.addBoard(new Board(230,'宜昌市','宜昌市'));
cur1=new Province('湖南省','湖南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(233,'长沙市','长沙市'));
cur1.addBoard(new Board(234,'常德市','常德市'));
cur1.addBoard(new Board(235,'郴州市','郴州市'));
cur1.addBoard(new Board(236,'衡阳市','衡阳市'));
cur1.addBoard(new Board(238,'怀化市','怀化市'));
cur1.addBoard(new Board(245,'娄底市','娄底市'));
cur1.addBoard(new Board(247,'邵阳市','邵阳市'));
cur1.addBoard(new Board(248,'湘潭市','湘潭市'));
cur1.addBoard(new Board(249,'湘西土家族苗族自治州','湘西土家族苗族自治州'));
cur1.addBoard(new Board(251,'益阳市','益阳市'));
cur1.addBoard(new Board(252,'永州市','永州市'));
cur1.addBoard(new Board(253,'岳阳市','岳阳市'));
cur1.addBoard(new Board(254,'张家界市','张家界市'));
cur1.addBoard(new Board(255,'株洲市','株洲市')); 
cur1=new Province('吉林省','吉林'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(381,'延边朝鲜族自治州','延边朝鲜族自治州'));
cur1.addBoard(new Board(382,'松原市','松原市'));
cur1.addBoard(new Board(256,'白城市','白城市'));
cur1.addBoard(new Board(257,'白山市','白山市'));
cur1.addBoard(new Board(258,'长春市','长春市'));
cur1.addBoard(new Board(264,'吉林市','吉林市'));
cur1.addBoard(new Board(267,'辽源市','辽源市'));
cur1.addBoard(new Board(270,'四平市','四平市'));
cur1.addBoard(new Board(273,'通化市','通化市'));
cur1=new Province('江苏省','江苏'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(408,'徐州市','徐州市'));
cur1.addBoard(new Board(409,'盐城市','盐城市'));
cur1.addBoard(new Board(410,'扬州市','扬州市'));
cur1.addBoard(new Board(414,'镇江市','镇江市'));
cur1.addBoard(new Board(278,'常州市','常州市'));
cur1.addBoard(new Board(281,'淮安市','淮安市'));
cur1.addBoard(new Board(286,'连云港市','连云港市'));
cur1.addBoard(new Board(287,'南京市','南京市'));
cur1.addBoard(new Board(288,'南通市','南通市'));
cur1.addBoard(new Board(290,'苏州市','苏州市'));
cur1.addBoard(new Board(291,'宿迁市','宿迁市'));
cur1.addBoard(new Board(292,'泰州市','泰州市'));
cur1.addBoard(new Board(293,'无锡市','无锡市'));
cur1=new Province('江西省','江西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(416,'抚州市','抚州市'));
cur1.addBoard(new Board(417,'赣州市','赣州市'));
cur1.addBoard(new Board(418,'吉安市','吉安市'));
cur1.addBoard(new Board(420,'景德镇市','景德镇市'));
cur1.addBoard(new Board(421,'九江市','九江市'));
cur1.addBoard(new Board(424,'南昌市','南昌市'));
cur1.addBoard(new Board(425,'萍乡市','萍乡市'));
cur1.addBoard(new Board(426,'上饶市','上饶市'));
cur1.addBoard(new Board(427,'新余市','新余市'));
cur1.addBoard(new Board(428,'宜春市','宜春市'));
cur1.addBoard(new Board(429,'鹰潭市','鹰潭市'));
cur1=new Province('辽宁省','辽宁'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(380,'葫芦岛市','葫芦岛市'));
cur1.addBoard(new Board(430,'鞍山市','鞍山市'));
cur1.addBoard(new Board(432,'本溪市','本溪市'));
cur1.addBoard(new Board(434,'朝阳市','朝阳市'));
cur1.addBoard(new Board(435,'大连市','大连市'));
cur1.addBoard(new Board(436,'丹东市','丹东市'));
cur1.addBoard(new Board(437,'抚顺市','抚顺市'));
cur1.addBoard(new Board(438,'阜新市','阜新市'));
cur1.addBoard(new Board(442,'锦州市','锦州市'));
cur1.addBoard(new Board(443,'辽阳市','辽阳市'));
cur1.addBoard(new Board(444,'盘锦市','盘锦市'));
cur1.addBoard(new Board(445,'沈阳市','沈阳市'));
cur1.addBoard(new Board(447,'铁岭市','铁岭市'));
cur1.addBoard(new Board(450,'营口市','营口市'));
cur1=new Province('内蒙古自治区','内蒙古'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(373,'乌兰察布市','乌兰察布市'));
cur1.addBoard(new Board(374,'锡林郭勒盟','锡林郭勒盟'));
cur1.addBoard(new Board(375,'兴安盟','兴安盟'));
cur1.addBoard(new Board(376,'呼伦贝尔市','呼伦贝尔市'));
cur1.addBoard(new Board(377,'鄂尔多斯市','鄂尔多斯市'));
cur1.addBoard(new Board(378,'阿拉善盟市','阿拉善盟市'));
cur1.addBoard(new Board(379,'巴彦淖尔盟市','巴彦淖尔盟市'));
cur1.addBoard(new Board(453,'包头市','包头市'));
cur1.addBoard(new Board(454,'赤峰市','赤峰市'));
cur1.addBoard(new Board(459,'呼和浩特市','呼和浩特市'));
cur1.addBoard(new Board(465,'通辽市','通辽市'));
cur1.addBoard(new Board(466,'乌海市','乌海市'));
cur1=new Province('宁夏回族自治区','宁夏'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(474,'固原市','固原市'));
cur1.addBoard(new Board(476,'石嘴山市','石嘴山市'));
cur1.addBoard(new Board(477,'吴忠市','吴忠市'));
cur1.addBoard(new Board(478,'银川市','银川市'));
cur1.addBoard(new Board(479,'中卫市','中卫市'));
cur1=new Province('青海省','青海'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(483,'果洛藏族自治州','果洛藏族自治州'));
cur1.addBoard(new Board(484,'海北藏族自治州','海北藏族自治州'));
cur1.addBoard(new Board(485,'海东市','海东市'));
cur1.addBoard(new Board(486,'海南藏族自治州','海南藏族自治州'));
cur1.addBoard(new Board(487,'海西蒙古族藏族自治州','海西蒙古族藏族自治州'));
cur1.addBoard(new Board(489,'黄南藏族自治州','黄南藏族自治州'));
cur1.addBoard(new Board(493,'西宁市','西宁市'));
cur1.addBoard(new Board(494,'玉树藏族自治州','玉树藏族自治州'));
cur1=new Province('山东省','山东'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(372,'菏泽市','菏泽市'));
cur1.addBoard(new Board(496,'滨州市','滨州市'));
cur1.addBoard(new Board(497,'德州市','德州市'));
cur1.addBoard(new Board(498,'东营市','东营市'));
cur1.addBoard(new Board(500,'济南市','济南市'));
cur1.addBoard(new Board(501,'济宁市','济宁市'));
cur1.addBoard(new Board(502,'莱芜市','莱芜市'));
cur1.addBoard(new Board(503,'聊城市','聊城市'));
cur1.addBoard(new Board(505,'临沂市','临沂市'));
cur1.addBoard(new Board(506,'青岛市','青岛市'));
cur1.addBoard(new Board(509,'日照市','日照市'));
cur1.addBoard(new Board(510,'泰安市','泰安市'));
cur1.addBoard(new Board(512,'威海市','威海市'));
cur1.addBoard(new Board(513,'潍坊市','潍坊市'));
cur1.addBoard(new Board(516,'烟台市','烟台市'));
cur1.addBoard(new Board(517,'枣庄市','枣庄市'));
cur1.addBoard(new Board(519,'淄博市','淄博市'));
cur1=new Province('山西省','山西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(369,'吕梁市','吕梁市'));
cur1.addBoard(new Board(370,'晋中市','晋中市'));
cur1.addBoard(new Board(371,'朔州市','朔州市'));
cur1.addBoard(new Board(521,'长治市','长治市'));
cur1.addBoard(new Board(522,'大同市','大同市'));
cur1.addBoard(new Board(524,'晋城市','晋城市'));
cur1.addBoard(new Board(526,'临汾市','临汾市'));
cur1.addBoard(new Board(529,'太原市','太原市'));
cur1.addBoard(new Board(530,'忻州市','忻州市'));
cur1.addBoard(new Board(531,'阳泉市','阳泉市'));
cur1.addBoard(new Board(533,'运城市','运城市'));
cur1=new Province('陕西省','陕西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(368,'商洛市','商洛市'));
cur1.addBoard(new Board(534,'安康市','安康市'));
cur1.addBoard(new Board(535,'宝鸡市','宝鸡市'));
cur1.addBoard(new Board(536,'汉中市','汉中市'));
cur1.addBoard(new Board(539,'铜川市','铜川市'));
cur1.addBoard(new Board(540,'渭南市','渭南市'));
cur1.addBoard(new Board(541,'西安市','西安市'));
cur1.addBoard(new Board(542,'咸阳市','咸阳市'));
cur1.addBoard(new Board(543,'延安市','延安市'));
cur1.addBoard(new Board(544,'榆林市','榆林市'));
cur1=new Province('上海','上海'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(545,'宝山区','宝山区'));
cur1.addBoard(new Board(546,'长宁区','长宁区'));
cur1.addBoard(new Board(547,'崇明县','崇明县'));
cur1.addBoard(new Board(549,'奉贤区','奉贤区'));
cur1.addBoard(new Board(550,'虹口区','虹口区'));
cur1.addBoard(new Board(551,'黄浦区','黄浦区'));
cur1.addBoard(new Board(552,'嘉定区','嘉定区'));
cur1.addBoard(new Board(553,'金山区','金山区'));
cur1.addBoard(new Board(554,'静安区','静安区'));
cur1.addBoard(new Board(555,'卢湾区','卢湾区'));
cur1.addBoard(new Board(556,'闵行区','闵行区'));
cur1.addBoard(new Board(557,'南汇区','南汇区'));
cur1.addBoard(new Board(558,'浦东新区','浦东新区'));
cur1.addBoard(new Board(559,'普陀区','普陀区'));
cur1.addBoard(new Board(560,'青浦区','青浦区'));
cur1.addBoard(new Board(561,'松江区','松江区'));
cur1.addBoard(new Board(562,'徐汇区','徐汇区'));
cur1.addBoard(new Board(563,'杨浦区','杨浦区'));
cur1.addBoard(new Board(564,'闸北区','闸北区'));
cur1=new Province('四川省','四川'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(363,'资阳市','资阳市'));
cur1.addBoard(new Board(364,'广安市','广安市'));
cur1.addBoard(new Board(365,'达州市','达州市'));
cur1.addBoard(new Board(366,'巴中市','巴中市'));
cur1.addBoard(new Board(367,'眉山市','眉山市'));
cur1.addBoard(new Board(565,'阿坝藏族羌族自治州','阿坝藏族羌族自治州'));
cur1.addBoard(new Board(567,'成都市','成都市'));
cur1.addBoard(new Board(569,'德阳市','德阳市'));
cur1.addBoard(new Board(571,'甘孜藏族自治州','甘孜藏族自治州'));
cur1.addBoard(new Board(573,'广元市','广元市'));
cur1.addBoard(new Board(575,'乐山市','乐山市'));
cur1.addBoard(new Board(576,'凉山彝族自治州','凉山彝族自治州'));
cur1.addBoard(new Board(577,'泸州市','泸州市'));
cur1.addBoard(new Board(580,'绵阳市','绵阳市'));
cur1.addBoard(new Board(581,'内江市','内江市'));
cur1.addBoard(new Board(582,'南充市','南充市'));
cur1.addBoard(new Board(583,'攀枝花市','攀枝花市'));
cur1.addBoard(new Board(584,'遂宁市','遂宁市'));
cur1.addBoard(new Board(586,'雅安市','雅安市'));
cur1.addBoard(new Board(587,'宜宾市','宜宾市'));
cur1.addBoard(new Board(589,'自贡市','自贡市'));
cur1=new Province('天津','天津'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(590,'宝坻区','宝坻区'));
cur1.addBoard(new Board(591,'北辰区','北辰区'));
cur1.addBoard(new Board(592,'东丽区','东丽区'));
cur1.addBoard(new Board(593,'汉沽区','汉沽区'));
cur1.addBoard(new Board(594,'和平区','和平区'));
cur1.addBoard(new Board(595,'河北区','河北区'));
cur1.addBoard(new Board(596,'河东区','河东区'));
cur1.addBoard(new Board(597,'河西区','河西区'));
cur1.addBoard(new Board(598,'红桥区','红桥区'));
cur1.addBoard(new Board(599,'津南区','津南区'));
cur1.addBoard(new Board(600,'静海县','静海县'));
cur1.addBoard(new Board(601,'南开区','南开区'));
cur1.addBoard(new Board(602,'宁河县','宁河县'));
cur1.addBoard(new Board(603,'西青区','西青区'));
cur1.addBoard(new Board(604,'大港区','大港区'));
cur1.addBoard(new Board(605,'塘沽区','塘沽区'));
cur1.addBoard(new Board(606,'蓟县','蓟县'));
cur1.addBoard(new Board(607,'武清县','武清县'));
cur1=new Province('西藏自治区','西藏'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(608,'阿里市','阿里市'));
cur1.addBoard(new Board(609,'昌都市','昌都市'));
cur1.addBoard(new Board(610,'拉萨市','拉萨市'));
cur1.addBoard(new Board(611,'林芝市','林芝市'));
cur1.addBoard(new Board(612,'那曲市','那曲市'));
cur1.addBoard(new Board(613,'日喀则市','日喀则市'));
cur1.addBoard(new Board(614,'山南市','山南市')); 
cur1=new Province('新疆维吾尔自治区','新疆'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(360,'图木舒克市','图木舒克市'));
cur1.addBoard(new Board(361,'阿拉尔市','阿拉尔市'));
cur1.addBoard(new Board(362,'五家渠市','五家渠市'));
cur1.addBoard(new Board(615,'阿克苏地区','阿克苏地区'));
cur1.addBoard(new Board(619,'巴音郭楞蒙古自治州','巴音郭楞蒙古自治州'));
cur1.addBoard(new Board(620,'博尔塔拉蒙古自治州','博尔塔拉蒙古自治州'));
cur1.addBoard(new Board(622,'昌吉回族自治州','昌吉回族自治州'));
cur1.addBoard(new Board(623,'昌吉市','昌吉市'));
cur1.addBoard(new Board(624,'哈密地区','哈密地区'));
cur1.addBoard(new Board(625,'和田地区','和田地区'));
cur1.addBoard(new Board(626,'喀什地区','喀什地区'));
cur1.addBoard(new Board(628,'克拉玛依市','克拉玛依市'));
cur1.addBoard(new Board(629,'克孜勒苏柯尔克孜自治州','克孜勒苏柯尔克孜自治州'));
cur1.addBoard(new Board(632,'石河子市','石河子市'));
cur1.addBoard(new Board(634,'吐鲁番地区','吐鲁番地区'));
cur1.addBoard(new Board(635,'乌鲁木齐市','乌鲁木齐市'));
cur1.addBoard(new Board(637,'伊犁哈萨克自治州','伊犁哈萨克自治州'));
cur1=new Province('云南省','云南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(639,'保山市','保山市'));
cur1.addBoard(new Board(641,'楚雄彝族自治州','楚雄彝族自治州'));
cur1.addBoard(new Board(642,'大理白族自治州','大理白族自治州'));
cur1.addBoard(new Board(644,'德宏傣族景颇族自治州','德宏傣族景颇族自治州'));
cur1.addBoard(new Board(645,'迪庆藏族自治州','迪庆藏族自治州'));
cur1.addBoard(new Board(648,'红河哈尼族彝族自治州','红河哈尼族彝族自治州'));
cur1.addBoard(new Board(651,'昆明市','昆明市'));
cur1.addBoard(new Board(652,'丽江市','丽江市'));
cur1.addBoard(new Board(653,'临沧市','临沧市'));
cur1.addBoard(new Board(656,'怒江傈傈族自治州','怒江傈傈族自治州'));
cur1.addBoard(new Board(657,'曲靖市','曲靖市'));
cur1.addBoard(new Board(658,'普洱市','普洱市'));
cur1.addBoard(new Board(660,'文山壮族苗族自治州','文山壮族苗族自治州'));
cur1.addBoard(new Board(661,'西双版纳傣族自治州','西双版纳傣族自治州'));
cur1.addBoard(new Board(662,'玉溪市','玉溪市'));
cur1.addBoard(new Board(663,'昭通市','昭通市'));
cur1=new Province('浙江省','浙江'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(359,'台州市','台州市'));
cur1.addBoard(new Board(668,'杭州市','杭州市'));
cur1.addBoard(new Board(669,'湖州市','湖州市'));
cur1.addBoard(new Board(295,'嘉兴市','嘉兴市'));
cur1.addBoard(new Board(298,'金华市','金华市'));
cur1.addBoard(new Board(300,'丽水市','丽水市'));
cur1.addBoard(new Board(302,'宁波市','宁波市'));
cur1.addBoard(new Board(303,'衢州市','衢州市'));
cur1.addBoard(new Board(306,'绍兴市','绍兴市'));
cur1.addBoard(new Board(311,'温州市','温州市'));
cur1.addBoard(new Board(316,'舟山市','舟山市'));
cur1=new Province('重庆','重庆'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(324,'垫江县','垫江县'));
cur1.addBoard(new Board(325,'大渡口区','大渡口区'));
cur1.addBoard(new Board(326,'丰都县','丰都县'));
cur1.addBoard(new Board(327,'奉节县','奉节县'));
cur1.addBoard(new Board(328,'涪陵区','涪陵区'));
cur1.addBoard(new Board(329,'合川区','合川区'));
cur1.addBoard(new Board(330,'江北区','江北区'));
cur1.addBoard(new Board(331,'江津区','江津区'));
cur1.addBoard(new Board(332,'九龙坡区','九龙坡区'));
cur1.addBoard(new Board(333,'开县','开县'));
cur1.addBoard(new Board(334,'梁平县','梁平县'));
cur1.addBoard(new Board(335,'南岸区','南岸区'));
cur1.addBoard(new Board(336,'南川区','南川区'));
cur1.addBoard(new Board(337,'彭水苗族土家族自治县','彭水苗族土家族自治县'));
cur1.addBoard(new Board(338,'綦江县','綦江县'));
cur1.addBoard(new Board(339,'黔江区','黔江区'));
cur1.addBoard(new Board(340,'荣昌县','荣昌县'));
cur1.addBoard(new Board(341,'沙坪坝区','沙坪坝区'));
cur1.addBoard(new Board(342,'石柱土家族自治县','石柱土家族自治县'));
cur1.addBoard(new Board(343,'双桥区','双桥区'));
cur1.addBoard(new Board(344,'铜梁县','铜梁县'));
cur1.addBoard(new Board(345,'潼南县','潼南县'));
cur1.addBoard(new Board(346,'万盛区','万盛区'));
cur1.addBoard(new Board(348,'万州区','万州区'));
cur1.addBoard(new Board(349,'巫山县','巫山县'));
cur1.addBoard(new Board(350,'巫溪县','巫溪县'));
cur1.addBoard(new Board(351,'武隆县','武隆县'));
cur1.addBoard(new Board(352,'秀山土家族苗族自治县','秀山土家族苗族自治县'));
cur1.addBoard(new Board(353,'永川区','永川区'));
cur1.addBoard(new Board(354,'酉阳土家族苗族自治县','酉阳土家族苗族自治县'));
cur1.addBoard(new Board(355,'渝北区','渝北区'));
cur1.addBoard(new Board(356,'云阳县','云阳县'));
cur1.addBoard(new Board(357,'忠县','忠县'));
cur1.addBoard(new Board(358,'渝中区','渝中区'));
cur1.addBoard(new Board(318,'巴南区','巴南区'));
cur1.addBoard(new Board(319,'北碚区','北碚区'));
cur1.addBoard(new Board(320,'璧山县','璧山县'));
cur1.addBoard(new Board(321,'长寿区','长寿区'));
cur1.addBoard(new Board(322,'城口县','城口县'));
cur1.addBoard(new Board(323,'大足县','大足县'));
cur1=new Province('中国香港','香港'); 
catArr1=catArr1.concat(cur1); 
cur1=new Province('中国台湾','台湾'); 
catArr1=catArr1.concat(cur1); 
cur1=new Province('中国澳门','澳门'); 
catArr1=catArr1.concat(cur1); 


